package com.ruoyi.model.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 喂养食品类型对象 app_feeding_food_type
 * 
 * @author ruoyi
 * @date 2025-03-08
 */
public class AppFeedingFoodType extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 喂养食品类型编号 */
    private Long feedingFoodTypeId;

    /** 喂养食品类型名称 */
    @Excel(name = "喂养食品类型名称")
    private String feedingFoodTypeName;

    /** 删除标识 */
    private Integer delFlag;

    public void setFeedingFoodTypeId(Long feedingFoodTypeId) 
    {
        this.feedingFoodTypeId = feedingFoodTypeId;
    }

    public Long getFeedingFoodTypeId() 
    {
        return feedingFoodTypeId;
    }
    public void setFeedingFoodTypeName(String feedingFoodTypeName) 
    {
        this.feedingFoodTypeName = feedingFoodTypeName;
    }

    public String getFeedingFoodTypeName() 
    {
        return feedingFoodTypeName;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("feedingFoodTypeId", getFeedingFoodTypeId())
            .append("feedingFoodTypeName", getFeedingFoodTypeName())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
